Get market timeseries data with granularity
curl --request GET \
--url https://api.messari.io/metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity} \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"points": [
[
1748736000,
104717.98,
106033.13,
103675.87,
105647.89
],
[
1748822400,
105664.8,
106028.39,
103686.65,
105901.79
],
[
1748908800,
105892.19,
106834.1,
104907.73,
105389.98
],
[
1748995200,
105414.51,
105969.86,
104256.41,
104740.62
],
[
1749081600,
104738.95,
106004.5,
100450.57,
101615.92
]
]
},
"metadata": {
"pointSchemas": [
{
"name": "Timestamp",
"slug": "time",
"description": "Timestamp of the data point.",
"is_timestamp": true
},
{
"name": "Open Price (USD)",
"slug": "open-price",
"description": "USD price at the candle open.",
"is_timestamp": false
},
{
"name": "High Price (USD)",
"slug": "high-price",
"description": "High USD price during the candle.",
"is_timestamp": false
},
{
"name": "Low Price (USD)",
"slug": "low-price",
"description": "Low USD price during the candle.",
"is_timestamp": false
},
{
"name": "Close Price (USD)",
"slug": "close-price",
"description": "USD price at the candle close.",
"is_timestamp": false
}
],
"granularity": "1d"
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Markets (included with Enterprise)
Get Market Timeseries
Retrieve a specific market’s timeseries data with specified granularity. Price data is denominated in USD. Volume data is denominated in USD.
GET
/
metrics
/
v1
/
markets
/
{entityIdentifier}
/
metrics
/
{datasetSlug}
/
time-series
/
{granularity}
Get market timeseries data with granularity
x402 Support: Supported.
See the x402 guide.
Authorizations
Path Parameters
Market ID (e.g., 6057-140-265 for BTC/USDT on Bitrue)
Example:
"6057-140-265"
Dataset slug: 'price' returns OHLC prices in USD, 'volume' returns trading volume in USD
Available options:
price, volume Example:
"price"
Granularity - time interval for data points.
Available options:
5m, 1h, 1d, 1w Example:
"1d"
Query Parameters
Time range start
Example:
"2025-06-01T00:00:00Z"
Time range end
Example:
"2025-06-07T00:00:00Z"
⌘I

